<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <title>Banners</title>
  <style>
    .image-to-show {
      width: 400px;
      height: 400px;
      position: absolute;
      opacity: 0;
      transition: ease-in 1s;
    }

    .showed {
      opacity: 1;
    }

    .images-wrapper {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
    }
    .btn{
      margin-top: 410px;
      display: none;
    }
    .btn.visible{
      display: inline-block;
    }
  </style>
</head>

<body>
  <div class="images-wrapper">
    <img src="./img/1.jpg" alt="image of game" class="image-to-show showed" />
    <img src="./img/2.jpg" alt="image of game" class="image-to-show" />
    <img src="./img/3.JPG" alt="image of game" class="image-to-show" />
    <img src="./img/4.png" alt="image of game" class="image-to-show" />
  </div>
  <button class='btn stopShow'>Прекратить</button>
  <button class='btn continueShow'>Возобновить показ</button>

  <script>
    // images slide show
    const images = document.querySelectorAll('.images-wrapper .image-to-show')
    let activeImgIndex = 0
    slideInterval = setInterval(nextImg, 10000)
    function nextImg() {
      images[activeImgIndex].classList.remove('showed')
      activeImgIndex = (activeImgIndex + 1) % images.length
      images[activeImgIndex].classList.add('showed')
    }
    
    // show buttons
    const buttons = document.querySelectorAll('.btn')
    function showBtn(){
      buttons.forEach(item => item.classList.add('visible'))
    }
    setTimeout(showBtn, 1000)
   
    // stop/continue show
    let playing = true;

    const stopBtn = document.querySelector('.stopShow')
    stopBtn.addEventListener('click', function () {
      playing = false;
      clearInterval(slideInterval);
    })

    const continueBtn = document.querySelector('.continueShow')
    continueBtn.addEventListener('click', function () {
      playing = true;
      slideInterval = setInterval(nextImg, 2000);

    })

  </script>
</body>

</html>